<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\BkBvTnDetails;

class BkBvTnDetailsView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/zsa_teilnehmeruebersicht/detailsreiter/bkbvtn_details.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->bkbvtn->status_select = $this->viewModel->moeglicheStatus;
    $this->viewModel->bkbvtn->readonly = $this->viewModel->readonly;

    return array($this->viewModel->bkbvtn);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpBkBvTn();
  }

  
}

class BkBvTnDetailsViewModel
{
  public $bkbvtn;
  public $moeglicheStatus;
  public $readonly;
}